Subject: Re: Git tree for old kernels from before the current tree

From: Paul Mundt <[email-masked]>
Date: Mon, 23 Jul 2007 06:13:14 +0900

On Sun, Jul 22, 2007 at 11:00:15PM +0200, Jan Engelhardt wrote:
> On Jul 22 2007 16:49, Jon Smirl wrote:
> > Continuing on with kernel archeology for embedded systems, any
> > interest in making a git tree with all of the kernel versions from the
> > beginning up to the start of the current git tree?
> 
> Well, it would be cool if history was somehow available (I recognize
> this would be a lot of work). One currently has to go through the
> bk repo if something is to be searched for in that timeframe.
> 
Err, that's crap. Have you even looked at gitweb? There's at least:

git://git.kernel.org/pub/scm/linux/kernel/git/tglx/history.git

This has trees all the way back to 2.5.0.

and Linus also has:

git://git.kernel.org/pub/scm/linux/kernel/git/torvalds/old-2.6-bkcvs.git

for the BK history.

That's already more history than most people have any immediate use for,
going beyond that starts getting in to general completeness before
practical application territory.

Anyone still sending 2.4 patches with the intent of them being moved
forward and applied to a current kernel needs to be killfiled.